Subject: bug#22473: closed (Re: bug#22473: perl mode says No matching parenthesis found wrongly)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 27 Jan 2016 16:13:02 +0000

Your bug report

#22473: perl mode says No matching parenthesis found wrongly

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22473: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22473
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22473: perl mode says No matching parenthesis found wrongly
From: 積丹尼 Dan Jacobson <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked]
Date: Thu, 28 Jan 2016 00:12:33 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

EZ> You didn't say what Emacs version is that.

OK Debian "24.5+1-6+b1".

EZ> I can see this in Emacs 24.5, but not in the development sources of
EZ> what will become Emacs 25.1.  So I guess the problem was already
EZ> solved.

OK! I'll close it then.

Subject: perl mode says No matching parenthesis found wrongly
From: 積丹尼 Dan Jacobson <[email-masked]>
To: bug-gnu-emacs <[email-masked]>
Date: Wed, 27 Jan 2016 19:13:40 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

$ cat p.pl && emacs p.pl

$tree->{kml}->{Document}->{description} =
q{由 <a href="mailto:[email-masked]">Miller Liu</a> 逐筆修正 <a href="http://www.ncc.gov.tw/">NCC</a> 電台坐標數據， $latest 止， 再由<a href="http://jidanni.org/">積丹尼</a>存放於<a href="http://radioscanningtw.wikia.com/wiki/台描:地圖">台描</a>。 "x"=停播。};

Now remove the final } . Now put it back.
See the "No matching parenthesis found"? BUG!
(Also bad that C-h e doesn't have that warning listed.)
Well other parts of emacs know about that }, because beyond it the color
is restored.